
Infrastructure - Bug #1235

d1_common_java not compiling

2011-01-17 15:31 - Dave Vieglais

Status: Closed Start date: 2011-01-17

Priority: Urgent Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.03   

Milestone:  Story Points:  

Product Version: *   

Description

[INFO] ------------------------------------------------------------------------

[ERROR] BUILD FAILURE

[INFO] ------------------------------------------------------------------------

[INFO] Compilation failure

/home/hudson/work/jobs/d1_common_java/workspace/d1_common_java/src/main/java/org/dataone/service/mn/MemberNodeHealth.j

ava:[40,17] unmappable character for encoding UTF8

/home/hudson/work/jobs/d1_common_java/workspace/d1_common_java/src/main/java/org/dataone/service/mn/MemberNodeHealth.j

ava:[40,31] unmappable character for encoding UTF8

History

#1 - 2011-01-17 15:53 - Dave Vieglais

Additional info - the error was first encountered with a checkin by Chad of apparently unrelated changes:

Summary

added a class to handle parsing of the nodeList and a test to test it

Revision 3018 by berkley:

added a class to handle parsing of the nodeList and a test to test it

/software/cicore/trunk/d1_common_java/src/main/java/org/dataone/service/mn/MemberNodeHealth.java

/software/cicore/trunk/d1_common_java/src/main/java/org/dataone/service/NodeListParser.java

/software/cicore/trunk/d1_common_java/src/test/java/org/dataone/service/NodeListParserTest.java

Is the editor configured to use UTF-8 encoding?

#2 - 2011-01-17 16:18 - Dave Vieglais

- Target version set to Sprint-2011.03

- Position set to 1

#3 - 2011-01-18 13:46 - Dave Vieglais

- Status changed from New to Closed

Problems were:

1. Source was not saved in utf-8
2. MS style quote characters were used in a comment.

Spurious chars removed from comment section and source saved as UTF-8 
